Create a Tiered Goal POST
URL: https://api.painelalter.com/api/meta/tiered/create
Creates a goal for a store with support for multiple revenue levels, such as a goal and a super goal.
Body Parameters
| Parameter | Type | Description |
|---|---|---|
alias_id | string | Store alias ID. |
revenueTiers | array | List of revenue goal levels. See the revenueTiers section. |
averageTicket | integer | Optional (the system will automatically set an average ticket goal if not provided). Average ticket, represented as an integer with two implied decimal places. |
conversionRatio | integer | Optional (the system will automatically set a conversion goal if not provided). Conversion rate, represented as an integer with two implied decimal places. |
upt | integer | Optional. Units per transaction (UPT). |
yearMonth | string | Optional (use this or a custom period with dateBegin and dateEnd). Goal month and year in YYYY-MM format. |
dateBegin | string | Optional (only used when yearMonth is not provided). Goal start date in YYYY-MM-DD format. |
dateEnd | string | Optional (only used when yearMonth is not provided). Goal end date in YYYY-MM-DD format. |
title | string | Optional when yearMonth is provided and required with dateBegin and dateEnd. Goal title. Example: "July Goal". |
Values described as integers with two implied decimal places must be sent without a decimal separator. For example, 20000000 represents 200000.00.
revenueTiers
This is an array in which each item represents a goal level:
| Property | Type | Description |
|---|---|---|
tierName | string | Name of the goal level. |
integerValue | integer | Goal value, represented as an integer with two implied decimal places. |
isMain | integer | Indicates the main level. Accepts 1 for main or 0 for non-main. At least one level must be marked with 1; this property may be omitted from the other levels. |
Include at least one level in revenueTiers and mark one of them as the main level with isMain: 1.
Body Example
json
{
"alias_id": "24581235",
"revenueTiers": [
{
"tierName": "Meta",
"integerValue": 20000000,
"isMain": 1
},
{
"tierName": "Super Meta",
"integerValue": 25000000
}
],
"averageTicket": 14055,
"conversionRatio": 2212,
"upt": 124,
"yearMonth": "2026-09"
}Response Example
json
{
"meta_id": 8886
}
